<?php

namespace App\Modules\Shared\Domain\QueryBuilder\Operator;

class OperatorBetween implements Operator
{
    public function __construct(
        public string $key,
        public mixed $bottom,
        public mixed $top,
    ) {}

    public function query(): string
    {
        return "{$this->key} BETWEEN ? AND ?";
    }

    public function values(): array
    {
        return [$this->bottom, $this->top];
    }
}
